Subject: Re: too low cpu usage
From: [email-masked]
To: Tim Prince <[email-masked]>
Cc: [email-masked]
Date: Thu, 6 Sep 2001 23:57:25 -0300

Thanks, that's the problem. I'd overlooked that the box i was working on had
SMP and even with that i believed that i'd see a 100% on both my program and
the idle process and something noting that were running on different CPUs.

Thanks,
				HoraPe

On Thu, Sep 06, 2001 at 07:40:34PM -0700, Tim Prince wrote:
> If you're running non-threaded applications on 2 processors, this
> is the expected result.
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, September 06, 2001 5:15 PM
> Subject: too low cpu usage
> 
> 
> Hola!
> 
> I've just installed cygwin for a development that i need to do in
> windows
> and cannot get my programs to use more than 50% of CPU time.
> 
> Administrator@IVC ~
> $ uname -a
> CYGWIN_NT-5.0 IVC 1.3.2(0.39/3/2) 2001-05-20 23:28 i686 unknown
> 
> Administrator@IVC ~
> $ cat a.c
> main()
> {
> while(1);
> }
> 
> Administrator@IVC ~
> $ ./a.exe
> 
> and in the task manager it gets:
> 
> image name         CPU
> a.exe               50
> System Idle Proc    50
> 
> (rest of the processes are at 0)
> 
> Administrator@IVC ~
> $ ulimit -a
> core file size (blocks)     bash: ulimit: cannot get limit:
> Invalid argument
> data seg size (kbytes)      bash: ulimit: cannot get limit:
> Invalid argument
> file size (blocks)          bash: ulimit: cannot get limit:
> Invalid argument
> open files                  bash: ulimit: cannot get limit:
> Invalid argument
> pipe size (512 bytes)       26
> stack size (kbytes)         bash: ulimit: cannot get limit:
> Invalid argument
> cpu time (seconds)          bash: ulimit: cannot get limit:
> Invalid argument
> max user processes          63
> 
> Some help? I need to run some CPU intensive processes and I don't
> like the
> idea of having to get a box twice as fast to do the some work...
> 
> Thanks in advance,
> HoraPe
> ---
> Horacio J. Peña
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
					HoraPe
---
Horacio J. Peña
[email-masked]
[email-masked]
[email-masked]
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/